# SEPA ダイレクトデビットによるサブスクリプションを設定する

SEPA ダイレクトデビットを使用したサブスクリプションの作成と請求の方法をご紹介します。

# 高度な連携機能


SEPA ダイレクトデビットを使用した*サブスクリプション* (A Subscription represents the product details associated with the plan that your customer subscribes to. Allows you to charge the customer on a recurring basis)の作成と請求の方法をご紹介します。

> 新規ユーザーの場合は、このガイドで説明する Stripe Elements ではなく [Payment Element](https://docs.stripe.com/payments/payment-element.md) を使用してください。Payment Element は、コンバージョン最適化が組み込まれたローコードの連携パスを提供します。手順については、[サブスクリプションの構築](https://docs.stripe.com/billing/subscriptions/build-subscriptions.md?payment-ui=elements)をご覧ください。

## 商品と価格を作成する [ダッシュボード]

[Products (商品)](https://docs.stripe.com/api/products.md) は、販売しているアイテムまたはサービスを表します。[Prices (価格)](https://docs.stripe.com/api/prices.md) は、商品の価格と請求頻度を定義します。これには、商品の価格、受け付ける通貨、および 1 回限りの支払いか継続支払いかが含まれます。商品と価格が数個のみの場合は、ダッシュボードでそれらを作成および管理します。

このガイドでは、例としてストックフォトサービスを使用し、15 EUR の月次サブスクリプションを顧客に請求します。これをモデル化するには、次のようにします。

1. [商品](https://dashboard.stripe.com/products?active=true)ページに移動し、**商品を作成**をクリックします。
2. 商品の**名前**を入力します。オプションで**説明**を追加して、商品の画像をアップロードできます。
3. **商品税コード**を選択します。[商品税コード](https://docs.stripe.com/tax/tax-codes.md)の詳細をご確認ください。
4. **継続**を選択します。次に、価格に**15**を入力し、通貨として**\**を選択します。
5. **価格に税金を含める**かどうかを選択します。[税金設定](https://dashboard.stripe.com/test/settings/tax)のデフォルト値を使用するか、値を手動で設定できます。この例では、**自動**を選択します。
6. **請求期間**で**月次**を選択します。
7. **その他の料金体系オプション**をクリックします。次に、この例の料金体系モデルとして**定額**を選択します。[定額料金](https://docs.stripe.com/products-prices/pricing-models.md#flat-rate)とその他の[料金体系モデル](https://docs.stripe.com/products-prices/pricing-models.md)の詳細をご確認ください。
8. 将来的に特定の価格を整理、クエリ、更新するために、内部**価格の説明**と[検索キー](https://docs.stripe.com/products-prices/manage-prices.md#lookup-keys) 追加します。
9. **次へ**をクリックします。次に、**商品を追加**をクリックします。

商品と価格を作成したら、価格 ID を記録しておき、後続のステップで使用できるようにします。ID は料金体系ページで `price_G0FvDp6vZvdwRZ` のように表示されます。

## 顧客を作成 [サーバ側]

サブスクリプションを作成するには、決済手段を再利用し、継続課金を追跡できるように顧客を追加する必要があります。

> #### Accounts v2 API を使用した顧客の表現
> 
> Accounts v2 API では、Connect ユーザーには一般提供され、その他の Stripe ユーザーには公開プレビューで提供されます。Accounts v2 プレビューの一部である場合は、コードで[プレビューバージョン](https://docs.stripe.com/api-v2-overview.md#sdk-and-api-versioning)を指定する必要があります。
> 
> Accounts v2 のプレビューに参加するには、ダッシュボードの [Account previews and features](https://dashboard.stripe.com/settings/previews) に移動して、**Global Payouts の再利用可能な決済手段**を有効にします。
> 
> ほとんどのユースケースでは、[Customer](https://docs.stripe.com/api/customers.md) オブジェクトを使用するのではなく、[顧客を顧客設定済みの Account オブジェクトとしてモデル化する](https://docs.stripe.com/accounts-v2/use-accounts-as-customers.md)ことをお勧めします。

顧客がビジネスでアカウントを作成するとき、または決済手段を保存するときに、顧客設定の [Account](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-customer) または [Customer](https://docs.stripe.com/api/customers/create.md) を作成する。オブジェクトの ID を、顧客を表す独自の内部表現に関連付ける。

この決済に関連付ける新しい顧客を作成するか、既存の顧客を取得する。

#### Accounts v2

このアカウントで顧客設定を有効にするには、`configuration.customer` を空のオブジェクトに設定します。

```curl
curl -X POST https://api.stripe.com/v2/core/accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.preview" \
  --json '{
    "contact_email": "jenny.rosen@example.com",
    "display_name": "Jenny Rosen",
    "configuration": {
        "customer": {}
    },
    "include": [
        "configuration.customer"
    ]
  }'
```

#### Customers v1

```curl
curl https://api.stripe.com/v1/customers \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "name=Jenny Rosen" \
  --data-urlencode "email=jenny.rosen@example.com"
```

## サブスクリプションを作成する [サーバ側]

顧客 ID および価格 ID を使用して*サブスクリプション* (A Subscription represents the product details associated with the plan that your customer subscribes to. Allows you to charge the customer on a recurring basis)を作成します。最新の請求書の [confirmation_secret.client_secret](https://docs.stripe.com/api/invoices/object.md#invoice_object-confirmation_secret) から、または前払いのないサブスクリプションの場合は [pending_setup_intent](https://docs.stripe.com/api/subscriptions/object.md#subscription_object-pending_setup_intent) から、クライアント側に `client_secret` を返します。さらに、以下を設定します。

- [payment_behavior](https://docs.stripe.com/api/subscriptions/create.md#create_subscription-payment_behavior) を `default_incomplete` に設定して、SEPA ダイレクトデビットの同意書の回収を効率化します。
- [save_default_payment_method](https://docs.stripe.com/api/subscriptions/object.md#subscription_object-payment_settings-save_default_payment_method) を `on_subscription` に設定して、支払いが完了したときの支払い方法をサブスクリプションのデフォルトとして保存します。デフォルトの支払い方法を保存すると、その後のサブスクリプションの決済の成功率が高くなります。

#### Ruby

```ruby

# Don't put any keys in code. See https://docs.stripe.com/keys-best-practices.
# Find your keys at https://dashboard.stripe.com/apikeys.
client = Stripe::StripeClient.new('<<YOUR_SECRET_KEY>>')

post '/create-subscription' do
  content_type 'application/json'
  data = JSON.parse(request.body.read)
  customer_id = cookies[:customer]
  price_id = data['priceId']

  subscription = client.v1.subscriptions.create(
    customer: customer_id,
    items: [{
      price: price_id,
    }],
    payment_behavior: 'default_incomplete',
    payment_settings: {save_default_payment_method: 'on_subscription'},
    expand: ['latest_invoice.confirmation_secret', 'pending_setup_intent']
  )

  if subscription.pending_setup_intent != nil
    { type: 'setup', clientSecret: subscription.pending_setup_intent.client_secret }.to_json
  else
    { type: 'payment', clientSecret: subscription.latest_invoice.confirmation_secret.client_secret }.to_json
  end
end
```

## 支払い方法の詳細と同意書承認を収集する [クライアント側]

[Stripe Elements](https://docs.stripe.com/payments/elements.md) を使用してクライアントで支払い情報を収集する準備ができました。Elements は、支払いの詳細を収集するための構築済み UI コンポーネントのセットです。

Stripe Element には、HTTPS 接続を介して支払い情報を Stripe に安全に送信する iframe が含まれています。組み込みを機能させるには、決済ページのアドレスの先頭を http:// ではなく https:// にする必要があります。

HTTPS を使用せずに実装をテストできます。本番環境で決済を受け付ける準備が整ったら、HTTPS を[有効化](https://docs.stripe.com/security/guide.md#tls)します。

### Stripe Elements を設定する

#### HTML + JS

Stripe Elements は Stripe.js の機能として自動的に使用できるようになります。支払いページに Stripe.js スクリプトを含めるには、HTML ファイルの `head` にこのスクリプトを追加します。常に js.stripe.com から Stripe.js を直接読み込むことにより、PCI への準拠が維持されます。スクリプトをバンドルに含めたり、そのコピーを自身でホストすることがないようにしてください。

```html
<head>
  <title>Submit Payment</title>
  <script src="https://js.stripe.com/endive/stripe.js"></script>
</head>
```

決済画面で次の JavaScript を使用して Elements のインスタンスを作成します。Payment Element が SEPA ダイレクトデビット決済詳細情報を収集できるように、`モード`と`通貨`を渡します:

```javascript
const stripe = Stripe('<<YOUR_PUBLISHABLE_KEY>>');
const options = {
  mode: 'setup',
  currency: 'eur',
};
const elements = stripe.elements(options);
```

### Payment Element を追加する

Payment Element には、決済フォーム内に配置する場所が必要です。決済フォームに一意の ID を持つ空の DOM ノード (コンテナ) を作成します。SEPA ダイレクトデビットが有効になると、Payment Element は SEPA ダイレクトデビットフォームと同意書の承認テキストを自動的に表示します:

```html
<form action="/form" method="post" id="setup-form">
  <div id="payment-element">
    <!-- The Payment Element will be inserted here. -->
  </div>

  <!-- Add the client_secret from the SetupIntent as a data attribute   -->
  <button id="submit-button" data-secret="{CLIENT_SECRET}">
    Set up SEPA Direct Debit
  </button>

  <!-- Used to display form errors. -->
  <div id="error-message" role="alert"></div>
</form>
```

フォームが読み込まれたら、Payment Element の [インスタンスを作成](https://docs.stripe.com/js/elements_object/create_element?type=payment) し、それを Element コンテナにマウントします。Payment Element は顧客の名前、メール、IBAN を自動的に収集し、同意書の承認テキストを表示します:

```javascript
// Create and mount the Payment Element
const paymentElement = elements.create('payment');
paymentElement.mount('#payment-element');
```

#### React

次の npm パブリックレジストリーから [React Stripe.js](https://www.npmjs.com/package/@stripe/react-stripe-js) と [Stripe.js ローダー](https://www.npmjs.com/package/@stripe/stripe-js)をインストールします。

```bash
npm install --save @stripe/react-stripe-js @stripe/stripe-js
```

設定の詳細 (`モード:「setup」`、`通貨`) を [Elements プロバイダー](https://docs.stripe.com/sdks/stripejs-react.md?ui=elements#elements-provider)に渡します。

```jsx
import React from 'react';
import {loadStripe} from '@stripe/stripe-js';
import {Elements} from '@stripe/react-stripe-js';
import PaymentSetupForm from './PaymentSetupForm';

// Make sure to call `loadStripe` outside of a component's render to avoid
// recreating the `Stripe` object on every render.
const stripePromise = loadStripe('<<YOUR_PUBLISHABLE_KEY>>');

export default function App() {
  const options = {
    mode: 'setup',
    currency: 'eur',
  };

  return (
    <Elements stripe={stripePromise} options={options}>
      <PaymentSetupForm />
    </Elements>
  );
}
```

[PaymentElement](https://docs.stripe.com/sdks/stripejs-react.md#element-components) を表示する設定フォームコンポーネントを作成します:

```jsx
import React from 'react';
import {PaymentElement} from '@stripe/react-stripe-js';

export default function PaymentSetupForm() {
  return (
    <form id="setup-form">
      <PaymentElement />
      <button type="submit">Set up SEPA Direct Debit</button>
      <div id="error-message" role="alert"></div>
    </form>
  );
}
```

## Stripe に支払い方法の詳細を送信する [クライアント側]

[confirmSepaDebitPayment](https://docs.stripe.com/js/payment_intents/confirm_sepa_debit_payment#stripe_confirm_sepa_debit_payment-with_element) を使用して、または前払いのないサブスクリプションの場合は [confirmSepaDebitSetup](https://docs.stripe.com/js/setup_intents/confirm_sepa_debit_setup#stripe_confirm_sepa_debit_setup-with_element) を使用してサブスクリプションを確定し、SEPA ダイレクトデビットによる [PaymentMethod](https://docs.stripe.com/api/payment_methods.md) を作成します。`payment_method.billing_details` プロパティに顧客の名前とメールアドレスを追加します。

#### HTML + JS

```javascript
// Define stripe with your publishable key
var stripe = Stripe('pk_test_1234');

// Get the IBAN information from your element
var iban = document.getElementById('iban-element');

const form = document.getElementById('payment-form');
const accountholderName = document.getElementById('accountholder-name');
const email = document.getElementById('email');

form.addEventListener('submit', async(event) => {
  event.preventDefault();
  // Create the subscription
  const res = await fetch('/create-subscription', {
    method: 'POST',
  });
  const {type, clientSecret} = await res.json();
  const confirmIntent = type === 'setup' ? stripe.confirmSepaDebitSetup : stripe.confirmSepaDebitPayment;

  const {error} = await confirmIntent(
    clientSecret,
    {
      payment_method: {
        sepa_debit: iban,
        billing_details: {
          name: accountholderName.value,
          email: email.value,
        },
      },
    }
  );
});
```

#### React

```jsx
import React, {useState} from 'react';
import {useStripe, useElements, IbanElement} from '@stripe/react-stripe-js';
import IbanForm from './IbanForm';

export default function PaymentSetupForm() {
  const stripe = useStripe();
  const elements = useElements();

  const handleSubmit = async (event) => {
    // We don't want to let default form submission happen here,
    // which would refresh the page.
    event.preventDefault();

    if (!stripe || !elements) {
      // Stripe.js hasn't yet loaded.
      // Make sure to disable form submission until Stripe.js has loaded.
      return;
    }

    const iban = elements.getElement(IbanElement);

    // For brevity, this example is using uncontrolled components for
    // the accountholder's name and email. In a real world app, you'd
    // probably want to use controlled components.
    // https://reactjs.org/docs/uncontrolled-components.html
    // https://reactjs.org/docs/forms.html#controlled-components

    const accountholderName = event.target['accountholder-name'];
    const email = event.target.email;

    // Create the subscription
    const res = await fetch('/create-subscription', {
      method: 'POST',
    });
    const {type, clientSecret} = await res.json();
    const confirmIntent = type === 'setup' ? stripe.confirmSepaDebitSetup : stripe.confirmSepaDebitPayment;

    const {error} = await confirmIntent(clientSecret, {
      payment_method: {
        sepa_debit: iban,
        billing_details: {
          name: accountholderName.value,
          email: email.value,
        },
      },
    });

    if (error) {
      // Show error to your customer
      console.log(error.message);
    } else {
      // Show a confirmation message to your customer
    }
  };

  return (
    <IbanForm onSubmit={handleSubmit} disabled={!stripe} />
  );
}
```

## デフォルトの支払い方法を設定する [サーバ側]

今後の決済を成功させるには、保存済みの決済手段を顧客に追加する必要があります。収集した決済手段を、顧客を表すオブジェクト (顧客が設定した [Account](https://docs.stripe.com/api/v2/core/accounts/object.md) または [Customer](https://docs.stripe.com/api/customers/object.md)) のトップレベルに設定し、*請求書* (Invoices are statements of amounts owed by a customer. They track the status of payments from draft through paid or otherwise finalized. Subscriptions automatically generate invoices, or you can manually create a one-off invoice)の [default payment method](https://docs.stripe.com/api/customers/update.md#update_customer-invoice_settings-default_payment_method) (既定の決済手段) としても設定してください。

#### Accounts v2

顧客設定の Account オブジェクトを使用して顧客を表す場合は、[configuration.customer.billing.default_payment_method](https://docs.stripe.com/api/v2/core/accounts/update.md#v2_update_accounts-configuration-customer-billing-default_payment_method) を設定します。

```curl
curl -X POST https://api.stripe.com/v2/core/accounts/{{CUSTOMERACCOUNT_ID}} \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.preview" \
  --json '{
    "configuration": {
        "customer": {
            "billing": {
                "default_payment_method": "{{PAYMENTMETHOD_ID}}"
            }
        }
    }
  }'
```

#### Customers v1

`Customer` オブジェクトを使用して顧客を表す場合は、[invoice_settings.default_payment_method](https://docs.stripe.com/api/customers/update.md#update_customer-invoice_settings-default_payment_method) を設定します。

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}} \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "invoice_settings[default_payment_method]={{PAYMENTMETHOD_ID}}"
```

## サブスクリプションステータスを管理する [クライアント側]

サブスクの初回の決済がまだ処理中であっても、サブスクが `active` になることがあります。そのため、決済が成功したかどうかをサブスクのステータスだけで判断しないようにします。商品やサービスを提供する前に、`invoice.paid` イベントを待機するか、対応する *PaymentIntent* (The Payment Intents API tracks the lifecycle of a customer checkout flow and triggers additional authentication steps when required by regulatory mandates, custom Radar fraud rules, or redirect-based payment methods) のステータスが `succeeded` であることを確認し、関連するサブスクが `active` であることも確認します。

決済が失敗すると、ステータスは[自動継続請求の設定](https://docs.stripe.com/invoicing/automatic-collection.md)で設定された**サブスクのステータス**に変更されます。決済が失敗した場合は顧客に通知し、[別の決済手段で請求](https://docs.stripe.com/billing/subscriptions/overview.md#requires-payment-method)します。

## 組み込みをテストする

組み込みのテストには、以下の IBAN を使用できます。各 IBAN に対応する支払い方法の詳細が収集されますが、支払い時にはそれぞれ異なる動作を示します。

##### IBAN をテストする

Payment Element でこれらのテスト用 IBAN を使用して、SEPA ダイレクトデビットの導入をテストします。Payment Element は IBAN を自動的に検証し、これらのテスト値のいずれかを入力すると同同意書を表示します。

### AT

| Account Number       | Token                                         | Description                                                                                                                                                                                                        |
| -------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| AT611904300234573201 | pm_sepaDebit_success_at                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| AT321904300235473204 | pm_sepaDebit_successDelayed_at                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| AT861904300235473202 | pm_sepaDebit_failed_at                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| AT051904300235473205 | pm_sepaDebit_failedDelayed_at                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| AT201904300000454545 | pm_sepaDebit_mandateRevoked_at                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| AT591904300235473203 | pm_sepaDebit_disputed_at                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| AT981904300000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_at      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| AT601904300000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_at | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| AT981904300002222227 | pm_sepaDebit_insufficientFunds_at             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| AT511904300000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### BE

| Account Number   | Token                                         | Description                                                                                                                                                                                                        |
| ---------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| BE62510007547061 | pm_sepaDebit_success_be                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| BE78510007547064 | pm_sepaDebit_successDelayed_be                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| BE68539007547034 | pm_sepaDebit_failed_be                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| BE51510007547065 | pm_sepaDebit_failedDelayed_be                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| BE12510000454545 | pm_sepaDebit_mandateRevoked_be                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| BE08510007547063 | pm_sepaDebit_disputed_be                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| BE90510000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_be      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| BE52510000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_be | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| BE90510002222227 | pm_sepaDebit_insufficientFunds_be             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| BE43510000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### HR

| Account Number        | Token                                         | Description                                                                                                                                                                                                        |
| --------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| HR7624020064583467589 | pm_sepaDebit_success_hr                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| HR6323600002337876649 | pm_sepaDebit_successDelayed_hr                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| HR2725000096983499248 | pm_sepaDebit_failed_hr                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| HR6723600004878117427 | pm_sepaDebit_failedDelayed_hr                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| HR9324020060000454545 | pm_sepaDebit_mandateRevoked_hr                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| HR8724840081455523553 | pm_sepaDebit_disputed_hr                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| HR7424020060000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_hr      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| HR3624020060000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_hr | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| HR7424020060002222227 | pm_sepaDebit_insufficientFunds_hr             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| HR2724020060000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### EE

| Account Number       | Token                                         | Description                                                                                                                                                                                                        |
| -------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| EE382200221020145685 | pm_sepaDebit_success_ee                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| EE222200221020145682 | pm_sepaDebit_successDelayed_ee                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| EE762200221020145680 | pm_sepaDebit_failed_ee                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| EE922200221020145683 | pm_sepaDebit_failedDelayed_ee                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| EE862200000000454545 | pm_sepaDebit_mandateRevoked_ee                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| EE492200221020145681 | pm_sepaDebit_disputed_ee                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| EE672200000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_ee      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| EE292200000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_ee | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| EE672200000002222227 | pm_sepaDebit_insufficientFunds_ee             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| EE202200000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### FI

| Account Number     | Token                                         | Description                                                                                                                                                                                                        |
| ------------------ | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| FI2112345600000785 | pm_sepaDebit_success_fi                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| FI3712345600000788 | pm_sepaDebit_successDelayed_fi                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| FI9112345600000786 | pm_sepaDebit_failed_fi                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| FI1012345600000789 | pm_sepaDebit_failedDelayed_fi                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| FI8612345600454545 | pm_sepaDebit_mandateRevoked_fi                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| FI6412345600000787 | pm_sepaDebit_disputed_fi                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| FI6712345600343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_fi      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| FI2912345600121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_fi | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| FI6712345602222227 | pm_sepaDebit_insufficientFunds_fi             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| FI2012345600066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### FR

| Account Number              | Token                                         | Description                                                                                                                                                                                                        |
| --------------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| FR1420041010050500013M02606 | pm_sepaDebit_success_fr                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| FR3020041010050500013M02609 | pm_sepaDebit_successDelayed_fr                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| FR8420041010050500013M02607 | pm_sepaDebit_failed_fr                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| FR7920041010050500013M02600 | pm_sepaDebit_failedDelayed_fr                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| FR1920041010050000000454545 | pm_sepaDebit_mandateRevoked_fr                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| FR5720041010050500013M02608 | pm_sepaDebit_disputed_fr                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| FR9720041010050000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_fr      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| FR5920041010050000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_fr | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| FR9720041010050000002222227 | pm_sepaDebit_insufficientFunds_fr             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| FR5020041010050000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### DE

| Account Number         | Token                                         | Description                                                                                                                                                                                                        |
| ---------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| DE89370400440532013000 | pm_sepaDebit_success_de                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| DE08370400440532013003 | pm_sepaDebit_successDelayed_de                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| DE62370400440532013001 | pm_sepaDebit_failed_de                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| DE78370400440532013004 | pm_sepaDebit_failedDelayed_de                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| DE84370400440000454545 | pm_sepaDebit_mandateRevoked_de                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| DE35370400440532013002 | pm_sepaDebit_disputed_de                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| DE65370400440000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_de      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| DE27370400440000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_de | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| DE65370400440002222227 | pm_sepaDebit_insufficientFunds_de             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| DE18370400440000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### GI

| Account Number          | Token                                         | Description                                                                                                                                                                                                        |
| ----------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| GI60MPFS599327643783385 | pm_sepaDebit_success_gi                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| GI08RRNW626436291644533 | pm_sepaDebit_successDelayed_gi                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| GI41SAFA461293238477751 | pm_sepaDebit_failed_gi                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| GI50LROG772261344693297 | pm_sepaDebit_failedDelayed_gi                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| GI33NWBK000000000454545 | pm_sepaDebit_mandateRevoked_gi                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| GI26KJBC361883934534696 | pm_sepaDebit_disputed_gi                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| GI14NWBK000000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_gi      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| GI73NWBK000000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_gi | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| GI14NWBK000000002222227 | pm_sepaDebit_insufficientFunds_gi             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| GI64NWBK000000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### IE

| Account Number         | Token                                         | Description                                                                                                                                                                                                        |
| ---------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| IE29AIBK93115212345678 | pm_sepaDebit_success_ie                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| IE24AIBK93115212345671 | pm_sepaDebit_successDelayed_ie                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| IE02AIBK93115212345679 | pm_sepaDebit_failed_ie                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| IE94AIBK93115212345672 | pm_sepaDebit_failedDelayed_ie                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| IE29AIBK93115200454545 | pm_sepaDebit_mandateRevoked_ie                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| IE51AIBK93115212345670 | pm_sepaDebit_disputed_ie                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| IE10AIBK93115200343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_ie      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| IE69AIBK93115200121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_ie | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| IE10AIBK93115202222227 | pm_sepaDebit_insufficientFunds_ie             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| IE60AIBK93115200066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### LI

| Account Number        | Token                                         | Description                                                                                                                                                                                                        |
| --------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| LI0508800636123378777 | pm_sepaDebit_success_li                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| LI4408800387787111369 | pm_sepaDebit_successDelayed_li                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| LI1208800143823175626 | pm_sepaDebit_failed_li                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| LI4908800356441975566 | pm_sepaDebit_failedDelayed_li                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| LI4308800000000454545 | pm_sepaDebit_mandateRevoked_li                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| LI7708800125525347723 | pm_sepaDebit_disputed_li                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| LI2408800000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_li      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| LI8308800000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_li | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| LI2408800000002222227 | pm_sepaDebit_insufficientFunds_li             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| LI7408800000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### LT

| Account Number       | Token                                         | Description                                                                                                                                                                                                        |
| -------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| LT121000011101001000 | pm_sepaDebit_success_lt                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| LT281000011101001003 | pm_sepaDebit_successDelayed_lt                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| LT821000011101001001 | pm_sepaDebit_failed_lt                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| LT981000011101001004 | pm_sepaDebit_failedDelayed_lt                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| LT781000000000454545 | pm_sepaDebit_mandateRevoked_lt                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| LT551000011101001002 | pm_sepaDebit_disputed_lt                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| LT591000000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_lt      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| LT211000000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_lt | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| LT591000000002222227 | pm_sepaDebit_insufficientFunds_lt             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| LT121000000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### LU

| Account Number       | Token                                         | Description                                                                                                                                                                                                        |
| -------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| LU280019400644750000 | pm_sepaDebit_success_lu                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| LU440019400644750003 | pm_sepaDebit_successDelayed_lu                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| LU980019400644750001 | pm_sepaDebit_failed_lu                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| LU170019400644750004 | pm_sepaDebit_failedDelayed_lu                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| LU120010000000454545 | pm_sepaDebit_mandateRevoked_lu                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| LU710019400644750002 | pm_sepaDebit_disputed_lu                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| LU900010000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_lu      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| LU520010000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_lu | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| LU900010000002222227 | pm_sepaDebit_insufficientFunds_lu             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| LU430010000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### NL

| Account Number     | Token                                         | Description                                                                                                                                                                                                        |
| ------------------ | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| NL39RABO0300065264 | pm_sepaDebit_success_nl                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| NL55RABO0300065267 | pm_sepaDebit_successDelayed_nl                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| NL91ABNA0417164300 | pm_sepaDebit_failed_nl                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| NL28RABO0300065268 | pm_sepaDebit_failedDelayed_nl                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| NL46RABO0000454545 | pm_sepaDebit_mandateRevoked_nl                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| NL82RABO0300065266 | pm_sepaDebit_disputed_nl                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| NL27RABO0000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_nl      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| NL86RABO0000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_nl | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| NL27RABO0002222227 | pm_sepaDebit_insufficientFunds_nl             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| NL77RABO0000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### NO

| Account Number  | Token                                         | Description                                                                                                                                                                                                        |
| --------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| NO9386011117947 | pm_sepaDebit_success_no                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| NO8886011117940 | pm_sepaDebit_successDelayed_no                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| NO6686011117948 | pm_sepaDebit_failed_no                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| NO6186011117941 | pm_sepaDebit_failedDelayed_no                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| NO2486010454545 | pm_sepaDebit_mandateRevoked_no                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| NO3986011117949 | pm_sepaDebit_disputed_no                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| NO0586010343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_no      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| NO6486010121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_no | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| NO0586012222227 | pm_sepaDebit_insufficientFunds_no             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| NO5586010066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### PT

| Account Number            | Token                                         | Description                                                                                                                                                                                                        |
| ------------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| PT50000201231234567890154 | pm_sepaDebit_success_pt                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| PT66000201231234567890157 | pm_sepaDebit_successDelayed_pt                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| PT23000201231234567890155 | pm_sepaDebit_failed_pt                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| PT39000201231234567890158 | pm_sepaDebit_failedDelayed_pt                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| PT24000201230000000454545 | pm_sepaDebit_mandateRevoked_pt                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| PT93000201231234567890156 | pm_sepaDebit_disputed_pt                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| PT05000201230000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_pt      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| PT64000201230000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_pt | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| PT05000201230000002222227 | pm_sepaDebit_insufficientFunds_pt             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| PT55000201230000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### ES

| Account Number           | Token                                         | Description                                                                                                                                                                                                        |
| ------------------------ | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| ES0700120345030000067890 | pm_sepaDebit_success_es                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| ES2300120345030000067893 | pm_sepaDebit_successDelayed_es                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| ES9121000418450200051332 | pm_sepaDebit_failed_es                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| ES9300120345030000067894 | pm_sepaDebit_failedDelayed_es                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| ES3600120345000000454545 | pm_sepaDebit_mandateRevoked_es                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| ES5000120345030000067892 | pm_sepaDebit_disputed_es                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| ES1700120345000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_es      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| ES7600120345000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_es | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| ES1700120345000002222227 | pm_sepaDebit_insufficientFunds_es             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| ES6700120345000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### SE

| Account Number           | Token                                         | Description                                                                                                                                                                                                        |
| ------------------------ | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| SE3550000000054910000003 | pm_sepaDebit_success_se                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| SE5150000000054910000006 | pm_sepaDebit_successDelayed_se                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| SE0850000000054910000004 | pm_sepaDebit_failed_se                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| SE2450000000054910000007 | pm_sepaDebit_failedDelayed_se                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| SE4750000000000000454545 | pm_sepaDebit_mandateRevoked_se                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| SE7850000000054910000005 | pm_sepaDebit_disputed_se                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| SE2850000000000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_se      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| SE8750000000000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_se | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| SE2850000000000002222227 | pm_sepaDebit_insufficientFunds_se             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| SE7850000000000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### CH

| Account Number        | Token                                         | Description                                                                                                                                                                                                        |
| --------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| CH9300762011623852957 | pm_sepaDebit_success_ch                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| CH8656663438253651553 | pm_sepaDebit_successDelayed_ch                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| CH5362200119938136497 | pm_sepaDebit_failed_ch                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| CH1843597160341964438 | pm_sepaDebit_failedDelayed_ch                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| CH3700762000000454545 | pm_sepaDebit_mandateRevoked_ch                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| CH1260378413965193069 | pm_sepaDebit_disputed_ch                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| CH1800762000000343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_ch      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| CH7700762000000121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_ch | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| CH1800762000002222227 | pm_sepaDebit_insufficientFunds_ch             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| CH6800762000000066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

### GB

| Account Number         | Token                                         | Description                                                                                                                                                                                                        |
| ---------------------- | --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| GB82WEST12345698765432 | pm_sepaDebit_success_gb                       | The PaymentIntent status transitions from `processing` to `succeeded`.                                                                                                                                             |
| GB98WEST12345698765435 | pm_sepaDebit_successDelayed_gb                | The PaymentIntent status transitions from `processing` to `succeeded` after at least three minutes.                                                                                                                |
| GB55WEST12345698765433 | pm_sepaDebit_failed_gb                        | The PaymentIntent status transitions from `processing` to `requires_payment_method`.                                                                                                                               |
| GB71WEST12345698765436 | pm_sepaDebit_failedDelayed_gb                 | The PaymentIntent status transitions from `processing` to `requires_payment_method` after at least three minutes.                                                                                                  |
| GB89WEST12345600454545 | pm_sepaDebit_mandateRevoked_gb                | The PaymentIntent status transitions from `processing` to `requires_payment_method` with a `debit_not_authorized` failure code. The mandate becomes `inactive`. Collect a new mandate before retrying the payment. |
| GB28WEST12345698765434 | pm_sepaDebit_disputed_gb                      | The PaymentIntent status transitions from `processing` to `succeeded`, but a dispute is immediately created.                                                                                                       |
| GB70WEST12345600343434 | pm_sepaDebit_exceedsWeeklyVolumeLimit_gb      | The payment fails with a `charge_exceeds_source_limit` failure code due to payment amount causing account to exceed its weekly payment volume limit.                                                               |
| GB32WEST12345600121212 | pm_sepaDebit_exceedsWeeklyTransactionLimit_gb | The payment fails with a `charge_exceeds_weekly_limit` failure code due to payment amount exceeding account's transaction volume limit.                                                                            |
| GB70WEST12345602222227 | pm_sepaDebit_insufficientFunds_gb             | The payment fails with an `insufficient_funds` failure code.                                                                                                                                                       |
| GB23WEST12345600066666 |                                               | Payment method creation fails with a `bank_account_unusable` error. Use a different bank account or payment method. Applies to SetupIntents and PaymentIntents that include inline IBAN data.                      |

## Optional: 請求期間の設定

デフォルトでは、サブスクリプションの作成時にその請求サイクルが自動的に設定されます。たとえば、顧客が 9 月 7 日に月額プランのサブスクリプションに登録した場合、それ以降毎月 7 日に請求されます。一部のビジネスでは、顧客に対してサイクルごとに同時に請求できるように、請求サイクルの手動設定を希望する場合があります。[billing cycle anchor](https://docs.stripe.com/api/subscriptions/create.md#create_subscription-billing_cycle_anchor) 引数を使用すると、これを実現できます。

#### Accounts v2

```curl
curl https://api.stripe.com/v1/subscriptions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "customer_account={{CUSTOMERACCOUNT_ID}}" \
  -d "items[0][price]={{PRICE_ID}}" \
  -d billing_cycle_anchor=1611008505
```

#### Customers v1

```curl
curl https://api.stripe.com/v1/subscriptions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "customer={{CUSTOMER_ID}}" \
  -d "items[0][price]={{PRICE_ID}}" \
  -d billing_cycle_anchor=1611008505
```

請求サイクルを手動で設定すると、作成されたサブスクリプションと請求サイクルのアンカーとの間の期間の分として比例配分 (日割り / 秒割り計算) された金額が顧客に自動的に請求されます。この期間分を顧客に請求しない場合は、[proration_behavior](https://docs.stripe.com/api/subscriptions/create.md#create_subscription-proration_behavior) 引数を `none` に設定できます。請求サイクルのアンカーを[トライアル期間](https://docs.stripe.com/billing/subscriptions/sepa-debit.md#trial-periods)と組み合わせ、商品への無料アクセスをユーザーに提供してから、比例配分された金額を請求することもできます。

## Optional: サブスクリプションのトライアル

無料トライアルにより、顧客は一定期間無料でプロダクトにアクセスできます。トライアル期間を設定するには、[trial end](https://docs.stripe.com/api/subscriptions/create.md#create_subscription-trial_end) にタイムスタンプを渡します。

#### Accounts v2

```curl
curl https://api.stripe.com/v1/subscriptions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "customer_account={{CUSTOMERACCOUNT_ID}}" \
  -d "items[0][price]={{PRICE_ID}}" \
  -d trial_end=1610403705
```

#### Customers v1

```curl
curl https://api.stripe.com/v1/subscriptions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "customer={{CUSTOMER_ID}}" \
  -d "items[0][price]={{PRICE_ID}}" \
  -d trial_end=1610403705
```

必要に応じて、[請求サイクルのアンカー](https://docs.stripe.com/billing/subscriptions/sepa-debit.md#billing-cycle)を無料トライアルと組み合わせることができます。たとえば、現在が 9 月 15 日だとした場合、顧客に ７ 日間の無料トライアルを付与してから、通常の請求サイクルを 10 月 1 日に開始するとします。この場合 9 月 22 日に無料トライアルが終了し、請求サイクルのアンカーが 10 月 1 日となるように設定できます。これにより顧客には 7 日間の無料トライアルが付与され、トライアル終了日から 10 月 １ 日までの期間については比例配分を適用した金額が請求されます。10 月 1 日に、初めての完全な請求サイクルとして、顧客は通常のサブスクリプション金額を請求されます。

## Optional: 他の支払い方法を使用して SEPA ダイレクトデビット支払いを作成する

> このドキュメントでは、最新バージョンの Stripe.js で使用できなくなった*レガシー* (Technology that's no longer recommended)機能(`idealBank` Element)について言及しています。40 以上の支払い方法を受け付け、入力を検証し、エラーを処理するエラー処理を行うウェブ向けの UI コンポーネントである [Payment Element](https://docs.stripe.com/payments/payment-element.md) の使用を推奨します。

[iDEAL](https://docs.stripe.com/payments/ideal/set-up-payment.md) などの他の決済手段を使用して、SEPA ダイレクトデビットの決済を作成できます。 この決済手段  を使用するには、追加のステップが必要です。iDEAL の場合:

1. [idealBank Element](https://docs.stripe.com/js/elements_object/create_element?type=idealBank) を使用して、支払い情報を収集します。
2. [confirmIdealPayment](https://docs.stripe.com/js/payment_intents/confirm_ideal_payment) を使用して、または前払いのないサブスクリプションの場合は [confirmIdealSetup](https://docs.stripe.com/js/setup_intents/confirm_ideal_setup) を使用してサブスクリプションを確定します。
3. [顧客の支払い方法をリスト化](https://docs.stripe.com/api/payment_methods/customer_list.md)して、SEPA ダイレクトデビットの支払い方法を探し、それを顧客の[デフォルトの支払い方法](https://docs.stripe.com/billing/subscriptions/sepa-debit.md#set-default-payment-method)に設定します。

